Summary:	X.org input driver for Aiptek HyperPen USB-based tablet devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla tabletów Aiptek HyperPen na USB
Name:		xorg-driver-input-aiptek
Version:	1.4.1
Release:	5
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-aiptek-%{version}.tar.bz2
# Source0-md5:	8231f6ce1c477eac653c9deb527fa3cb
URL:		http://aiptektablet.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.9.0
BuildRequires:  rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Aiptek HyperPen USB-based tablet devices.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla tabletów Aiptek HyperPen na USB.

%prep
%setup -q -n xf86-input-aiptek-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/aiptek_drv.so
%{_mandir}/man4/aiptek.4*
%changelog
* Mon Mar 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-aiptek.git;a=log;h=master

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b934264
- release 5 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2061e22
- release 4 (by relup.sh)

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bf4a8d
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> df94861
- release 2

* Wed Jun 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 484cf4d
- updated to 1.4.1

* Wed May 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 4575f22
- updated xserver version

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 467512c
- up to 1.4.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1559692
- release 2

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> eaecc20
- updated to 1.3.1

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cf771c
- release 2

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> dcff0a4
- up to 1.2.0

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bb0b8c7
- release 3

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bb6f395
- release 2

* Sat Mar 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0aca9e1
- up to 1.1.1

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c42b09
- rebuilding for new xserver

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 80d17c8
- track xserver input deps

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0c64090
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> decd1c9
- converted to UTF-8

* Tue Dec 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 8e749e3
- back, using sources from aiptektablet.sourceforge.net
- xorg package is still used as build system

* Tue Dec 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 2432bd7
6563d4d5fd3490c9da3270822d3e7a26  xf86Aiptek.c
23ecd0431c9fac1faf3b80569086bf6c  xf86Aiptek.h
- from http://dl.sourceforge.net/aiptektablet/xorg-x11-drv-aiptek-1.0.1-2RvP.src.rpm

